from ppms.migration import SQLPacket, PacketCategory, MaxVersionDependency, VersionType


class FixPSBDefaultValue(SQLPacket):
    """Changes default value of DI062362 to 1"""
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 20223

    sql_script = 'WI20223_fix_psb_default_value.sql'

    def get_dependencies(self):
        return MaxVersionDependency(version='39.5.9', version_type=VersionType.CUSTOMIZING),

    def fix(self, packet_runner):
        self.apply_fix_ddl_file(self.sql_planta_de_dbms, self.sql_script, split=True)

        return self.success()
